<?
 //1 arg: px should be the width of one pixel, in PS points.
 $p=$_REQUEST["px"];
 
 if ($p<0.01 || $p>10 || !is_numeric($p)) {
    header("Location: wiz1.php");
    exit(0);
 }
 $file="cache/$p.pdf";

 if (!file_exists($file)) {
    $ps=ps_new();
    ps_open_file($ps,$file.".ps");
    ps_set_parameter($ps, "warning", "true");

    $marge=0;

    $w=595.3; $h=842; //a4 h+w
    
    ps_begin_page($ps,$w,$h);

    ps_setcolor($ps,"fillstroke","gray",0,0,0,0);
    ps_moveto($ps,$marge,$marge);
    ps_lineto($ps,$w-$marge,$marge);
    ps_lineto($ps,$w-$marge,$h-$marge);
    ps_lineto($ps,$marge,$h-$marge);
    ps_lineto($ps,$marge,$marge);
    ps_fill($ps);

 
    ps_setlinewidth($ps,$p);
    ps_setcolor($ps,"fillstroke","gray",1,0,0,0);

    for ($y=$marge+($p*4); $y<$h-$marge; $y+=$p*8) {
	ps_moveto($ps,$marge,$y);
	ps_lineto($ps,$w-$marge,$y);
	ps_stroke($ps);
    }

    ps_end_page($ps);
    ps_close($ps);
    ps_delete($ps);
//    unlink();
    system("ps2pdf $file.ps $file");
 }
 header("Content-type: application/pdf");
 header("Content-Disposition: attachment; filename=\"".basename($file)."\";" );
 readfile($file);
?>